#!/bin/bash

el1='Si'
name=$el1
PWDIR="/home/dalcorso/espresso/"
cutoff=16

let i=0

for a in 9.6 9.8 10.0 10.2 10.4 10.6 10.8 ;
do
i=`expr $i + 1`
cat > $name.d$i <<EOF
 &control
    calculation = 'scf'
    restart_mode='from_scratch',
    prefix='silicon',
    pseudo_dir = '../',
    outdir='tmp'
 /
 &system    
    ibrav=  2, 
    celldm(1) =$a, 
    nat=  2, 
    ntyp= 1,
    ecutwfc =$cutoff, 
 /
 &electrons
    mixing_beta = 0.7 
    conv_thr =  1.0d-8
 /
ATOMIC_SPECIES
 Si  28.086  Si.pz-rrkj.UPF
ATOMIC_POSITIONS
 Si 0.00 0.00 0.00 
 Si 0.25 0.25 0.25 
K_POINTS AUTOMATIC
4 4 4 1 1 1 
EOF

$PWDIR/bin/pw.x < $name.d$i >> $name.out$i

ener=`grep ! $name.out$i | cut -c 35- | cut -c -13`
echo $a $ener >> $name.dat

done

cat > inp <<EOF
fcc
4
$name.dat
$name.ev.out
EOF

$PWDIR/bin/ev.x < inp > /dev/null
